<?php
class Queue extends Controller 
{
  function Queue()
  {
    parent::Controller();
    $this->load->model('search_model');
    $this->output->cache(120);
    return;
  }
  function index ()
  {
    $config = parse_ini_file(conf_file(), True);

    $a = base_url();
    $data['ajax_results'] = $this->search_model->ajaxSearch();
    $data['title'] = $this->title;
    $data['extraHeadContent'] = '<script type="text/javascript" src="' . base_url() . 'js/function_search.js"></script>';
    
    $data['whereami'] = array("<a href='" . site_url() . "index.php/queue/index'>Queue</a>");
    
    $queuelist = False;
    if (isset($_COOKIE['QueuedRPMs']))
	$queuelist = explode("s", $_COOKIE['QueuedRPMs']);
    if (isset($this->queuelist))
	$queuelist = $this->queuelist;

    if ($queuelist)
      {
	$QResult = $this->search_model->QueueInfo($queuelist);
	$builds = $QResult->Builds;
	$pkgarray = array();
	$display_results = array();
	$allrepos = explode(" ", $config["repositories"]["allrepos"]);
	$distname = $config["repositories"]["distname"];
	$distver = $config["repositories"]["distver"];
	for ($i=0; $i < sizeof($allrepos); ++$i)
	  $allrepos[$i] = $distname . $distver . "-" . $allrepos[$i];
      	
	foreach ($builds as $build)
	  {
	    $repo = $build->repo;
	    $repopos = array_search($repo, $allrepos);
	    $mypos = array_search($build->build_id, $pkgarray);
	    if ($mypos === FALSE)
	      {
		$pkgarray[] = $build->build_id;
		$pkg = new StdClass;
		$pkg->build_id = $build->build_id;
		$pkg->build_name = $build->build_name;
		$tmparr = explode(".src.rpm", $build->SRCRPM);
		$pkg->build_nvr = $tmparr[0];
		$pkg->Version = $build->Version;
		$pkg->Rel = $build->Rel;
		$pkg->repos = array();
		$pkg->repos[$repopos] = $repo;
		$display_results[] = $pkg;
	      }
	    else
	      {
		for ($i=0; $i < sizeof($display_results); ++$i)
		  {
		    if ($display_results[$i]->build_id == $build->build_id)
		      {
			$display_results[$i]->repos[$repopos] = $repo;
		      }
		  }
	      }
	  }

	$archs = explode(" ", $config["repositories"]["archs"]);
	$archlist = array();

	$rpmlist = $QResult->RPMList;

	foreach ($archs as $arch)
	  {
	    $archinfo = new StdClass;
	    $archinfo->arch = $arch;
	    $archinfo->list = array();
	    
	    foreach ($rpmlist as $rpm)
	      if (array_search($rpm->Arch, array($archinfo->arch, "noarch")) !== False)
		$archinfo->list[] = array($rpm->nvr . "." . $rpm->Arch, $rpm->rpm_id);

	    $archlist[] = $archinfo;
	  }
	
	$data['builds'] = $display_results;
	$data['archlist'] = $archlist;
	$data['queuelist'] = $queuelist;
      }
    else
      {
	$data['builds'] = Null;
	$data['queuelist'] = Null;
      }

    $data['user'] = $this->getUser();
    
    if ($data['user'])
      $this->load->view('application/queue', $data);
    else
      {
	echo "You need to be logged in to access this feature.";
	header('Refresh: 3; url=' . site_url('index.php'));
      }
    
  }
  
  function add ()
  {
    $this->queuelist = array();
    $myqueue = strval($this->uri->segment(3, 0));
    if (is_numeric($myqueue) == FALSE)
      {
	$this->queuelist = explode("s", $_COOKIE['QueuedRPMs']);
	$this->index();
	return;
      }
    if(isset($_COOKIE['QueuedRPMs']))
      {
	$this->queuelist = explode("s", $_COOKIE['QueuedRPMs']);
	if (array_search($myqueue, $this->queuelist) === FALSE)
	  {
	    $this->queuelist[] = $myqueue;
	    $this->setCookie($this->queuelist, 3600);
	  }
      }
    else
      {
	$this->queuelist = array($myqueue);
	$this->setCookie($myqueue, 3600);
      }
    $this->index();
  }
  
  function remove ()
  {
    $this->queuelist = array();
    $myqueue = strval($this->uri->segment(3, 0));
    if(isset($_COOKIE['QueuedRPMs']))
      {
	$this->queuelist = explode("s", $_COOKIE['QueuedRPMs']);
	if (array_search($myqueue, $this->queuelist) !== FALSE)	       
	  {
	    unset($this->queuelist[array_search($myqueue, $this->queuelist)]);
	    $this->setCookie($this->queuelist, 3600);
	  }
      }
    
    $this->index();
  }
  function clear ()
  {
    $this->queuelist = array();
    $this->setCookie("", -10);
    $this->index();
  }
  
  function setCookie ($queue, $expirein)
  {
    if (is_array($queue))
      {
	foreach($queue as $item)
	  if (is_numeric($item) == FALSE)
	    unset($item);
	$queue = implode("s", $queue);
      }
    setcookie("QueuedRPMs", $queue, time() + $expirein, "/");
  }
  
}
?>